# Publish a new version of assistdomino
#
# This will create 2 files that need to be hosted online for installation:
# 1. assistdomino_latest.tar.gz - for most people, this can be used to install with:
#    devtools::install_url(file)
# 2. dca_sources.zip - for air gapped environments, this can be used to install "offline"
#    by unzipping the folder and running:
#    install.packages("assistdomino", repos = NULL, contriburl = paste0("file://", dir, "/src/contrib"), type = "source", upgrade = "always")

tarball <- devtools::build(path = ".")
file.copy(tarball, "assistdomino_latest.tar.gz")

source("inst/scripts/airgap.R")
file.copy("dca_sources.zip", paste0("dca_sources_", as.character(packageVersion("assistdomino")), ".zip"))
