#' Sample dataset: size measurements for penguins near Palmer Station, Antarctica
#'
#' Includes measurements for penguin species, island in Palmer Archipelago, size (flipper length,
#' body mass, bill dimensions), and sex.
#'
#' @format A data frame with 344 rows and 8 variables.
"palmerpenguins"

#' Sample dataset: normalized stock prices of six tech stocks over 2018-2019 in wide format
#'
#' Includes normalized stock prices at one-week intervals over 2018-2019 for the following tech
#' stocks: GOOG, AAPL, AMZN, FB, NFLX, MSFT.
#'
#' @format A data frame with 105 rows and 7 variables (date, and each of the stock tickers).
"stocks_wide"

#' Sample dataset: normalized stock prices of six tech stocks over 2018-2019 in long format
#'
#' Includes normalized stock prices at one-week intervals over 2018-2019 for the following tech
#' stocks: GOOG, AAPL, AMZN, FB, NFLX, MSFT.
#'
#' @format A data frame with 630 rows and 3 variables (date, ticker, price).
"stocks_long"
